Subject: Re: [PATCH net-next] tcp: try to defer / return acked skbs to originating CPU

From: Jakub Kicinski <[email-masked]>
Date: Thu, 29 Jan 2026 15:10:11 -0800

On Thu, 29 Jan 2026 15:04:59 -0800 Jakub Kicinski wrote:
> > > I was mostly concerned about latency spikes, I did some tests here and
> > > this seems fine.    
> > 
> > Looks like selftests run into the zerocopy Tx latency issue.
> > I'll drop this version from patchwork..  
> 
> Delaying zero copy forever is a bit of an annoyance.
> I believe the same thing can happen in net-next with UDP 
> but I haven't tested to confirm.
> 
> I assume the attached patch is out of question since it came up before?
> 
> [0001-net-periodically-flush-the-defer-queues.patch  text/x-patch (9441 bytes)] 

Ugh, too many patches in my /tmp. I attached an old buggy version, 
but you get the point.